
Redmine - Defect #13405

Commit link title is escaped twice when using "commit:" prefix

2013-03-08 18:40 - Etienne Massip

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 100%

Category: SCM Estimated time: 0.00 hour

Target version: 2.3.1   

Resolution: Fixed Affected version: 2.2.0

Description

r11510 revision link title is correctly displayed

1

.

commit:<not applicable here but imagine a commit id> revision link title is HTML escaped twice

2

.

1

 source:/trunk/app/helpers/application_helper.rb@11510#L682.

2

 source:/trunk/app/helpers/application_helper.rb@11510#L761.

Associated revisions

Revision 11671 - 2013-03-21 22:53 - Etienne Massip

Fixed commit link title escaping (fixes #13405).

Revision 11672 - 2013-03-21 23:54 - Toshi MARUYAMA

fix test failure (#13405)

  1) Failure:

test_scan_changesets_for_issue_ids(RepositoryTest) [/xxx/test/unit/repository_test.rb:214]:

<"Applied in changeset r2."> expected but was

<"Applied in changeset commit:691322a8eb01e11fd7.">.

Revision 11674 - 2013-03-22 00:40 - Toshi MARUYAMA

fix unit search test failure (#13405)

Revision 11678 - 2013-03-22 02:04 - Toshi MARUYAMA

Merged r11671, r11672 and r11674 from trunk to 2.3-stable (#13405)

Fixed commit link title escaping.

History

#1 - 2013-03-21 22:54 - Etienne Massip

- Status changed from Confirmed to Resolved

- Target version changed from Candidate for next minor release to 2.3.1

- Affected version (unused) changed from devel to 2.2.0

- Resolution set to Fixed

- Affected version set to 2.2.0

Should be fixed with r11671.

#2 - 2013-03-21 23:00 - Etienne Massip

- Status changed from Resolved to Closed

- % Done changed from 0 to 100

Applied in changeset r11671.

#3 - 2013-03-21 23:04 - Etienne Massip
- Status changed from Closed to Resolved

God damn it, the fixes keyword closes the issue.

Still to be merged...

#4 - 2013-03-22 04:16 - Toshi MARUYAMA

- Status changed from Resolved to Closed

Fixed tests on trunk and merged to 2.3-stable.

#5 - 2013-03-22 10:24 - Etienne Massip

Thanks Toshi, saw the build failure after switching off my computer.
